skip_clone: true
steps:
- name: test (prod)
  image: git.ar21.de/yolokube/dashboard:${CI_PIPELINE_NUMBER}
  commands:
    - nginx
    - curl -fsS -m 10 --retry 5 -o /dev/null http://localhost:8080
  when:
    - branch: master
      event: push
- name: test (staging)
  image: git.ar21.de/yolokube/dashboard:staging-${CI_PIPELINE_NUMBER}
  commands:
    - nginx
    - curl -fsS -m 10 --retry 5 -o /dev/null http://localhost:8080
  when:
    - branch:
        exclude: master
      event: push
depends_on:
  - build
